Уязвимость BDU:2022-02409

Дата: 17.09.2016. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02409.

Наименование уязвимости: Уязвимость компонента ext/spl/spl_array.c интерпретатора языка программирования PHP, позволяющая нарушителю вызвать отказ в обслуживании или, возможно, оказать другое воздействие.

Описание уязвимости: Уязвимость компонента ext/spl/spl_array.c интерпретатора языка программирования PHP существует из-за недостаточной проверки входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании или, возможно, оказать другое воздействие с помощью специально созданных сериализованных данных
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 12.04 | Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Операционная система Debian GNU/Linux 8 | Операционная система Debian GNU/Linux 7.0 | Операционная система Canonical Ltd. Ubuntu 16.04 ESM | Прикладное ПО информационных систем PHP Group PHP до 5.6.25 включительно | Прикладное ПО информационных систем PHP Group PHP от 7.0.0 до 7.0.11 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1204 32-bit | Debian GNU/Linux 9 | Ubuntu 1404 ESM | Debian GNU/Linux 8 | Debian GNU/Linux 70 | Ubuntu 1604 ESM |
Дата выявления: 17.09.2016.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:https://github.com/php/php-src/commit/ecb7f58a069be0dec4a6131b6351a761f808f22e?w=1

Для Ubuntu
https://ubuntu.com/security/CVE-2016-7417

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2016-7417.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2016-7417.

Тип ошибки CWE: CWE-20
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://www.php.net/ChangeLog-7.php
https://bugs.php.net/bug.php?id=73029
https://github.com/php/php-src/commit/ecb7f58a069be0dec4a6131b6351a761f808f22e?w=1
http://www.php.net/ChangeLog-5.php
http://www.openwall.com/lists/oss-security/2016/09/15/10
http://www.securityfocus.com/bid/93007
https://security.gentoo.org/glsa/201611-22
http://www.securitytracker.com/id/1036836
https://www.tenable.com/security/tns-2016-19
https://access.redhat.com/errata/RHSA-2018:1296

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.